%Do extract a fixation and do spatial pooling
function [feat, location, Permute_Mat] = Get_NIMBLE_Features(Feature_Maps, y, x, Radius, grid_list, Permute_Mat)

location = [x; y] ./ [size(Feature_Maps, 2); size(Feature_Maps, 1)];


half_patch = Radius;
Patch_Stack = Feature_Maps(y - half_patch:y + half_patch, x - half_patch:x + half_patch, :);

if isempty(grid_list)
    feat = Patch_Stack(:);
else
    [feat, Permute_Mat] = Fast_Spatial_Pooling(Patch_Stack, grid_list, Permute_Mat);    
    feat = feat(:);
end

feat = feat ./ sqrt(feat'*feat);
feat(~isfinite(feat)) = 0;