%returns the appropriate file names with each row representing a class
%and columns representing instances
function [train_files, test_files, dataset_ndx, Class_Names] = Load_Caltech101(train_num, test_num, max_class, base_dir)
 
if ~exist('max_class', 'var') || isempty(max_class)
    max_class = inf;
end


%Caltech_101_Dir = fullfile(base_dir, 'Caltech 101');
Caltech_101_Dir = base_dir;

dataset_ndx = 3;
[Files, File_Counts, Class_Names] = Load_Files(Caltech_101_Dir);
chop_up_files = true;


if chop_up_files %used for some datasets to turn them into training and test sets
    total_classes = max_class;
    max_test = min(test_num, min(max(File_Counts) - train_num));    
    f_size = min(total_classes, size(Files, 1));
    
    train_files = cell(f_size, train_num);
    test_files = cell(f_size, max_test);
    
    for f = 1:f_size
        list = randperm(File_Counts(f));
        train_list = list(1:train_num);
        test_list = list(train_num+1:end);
        test_len = min(max_test, length(test_list));
        test_list = test_list(1:test_len);
        train_files(f, :) = Files(f, train_list);
        test_files(f, 1:length(test_list)) = Files(f, test_list);
    end
end

