function [Files, File_Counts, Class_Names] = Load_Files(Base_DIR)

include_background = false;

Files = cell(305, 2000);
Class_Names = cell(105, 1);
File_Counts = zeros(105, 1);
folders = dir(Base_DIR);

class_count = 0;
max_files = 0;
for k = 1:length(folders)
   folder_name = folders(k).name;
   if length(folder_name) <= 2
   elseif strcmpi(folder_name, 'BACKGROUND_Google') && ~include_background

   else
       folder_files = dir(fullfile(Base_DIR, folder_name));
       class_count = class_count + 1;
       file_count = 0;
       
       Class_Names{class_count} = folder_name;
       
       f_list = randperm(length(folder_files)); %randomize!
       for f = f_list 
           file_name = folder_files(f).name;
           if length(file_name) > 4 && ~isempty(strfind(file_name, '.'))
                file_name = fullfile(Base_DIR, folder_name, file_name);
                file_count = file_count + 1;
                Files{class_count, file_count} = file_name;
           end
       end
       File_Counts(class_count) = file_count;
       max_files = max(file_count, max_files);
   end
end

File_Counts = File_Counts(1:class_count);
Files = Files(1:class_count, 1:max_files);
Class_Names = Class_Names(1:class_count);
